| OpenCV 3.4.8 Open Source Computer Vision

Functions
cv::omnidir::internal Namespace Reference
Custom Calibration Pattern for 3D reconstruction

## Functions
void | compose_motion (InputArray _om1, InputArray _T1, InputArray _om2, InputArray _T2, Mat &om3, Mat &T3, Mat &dom3dom1, Mat &dom3dT1, Mat &dom3dom2, Mat &dom3dT2, Mat &dT3dom1, Mat &dT3dT1, Mat &dT3dom2, Mat &dT3dT2)
void | computeJacobian (InputArrayOfArrays objectPoints, InputArrayOfArrays imagePoints, InputArray parameters, Mat &JTJ_inv, Mat &JTE, int flags, double epsilon)
void | computeJacobianStereo (InputArrayOfArrays objectPoints, InputArrayOfArrays imagePoints1, InputArrayOfArrays imagePoints2, InputArray parameters, Mat &JTJ_inv, Mat &JTE, int flags, double epsilon)
double | computeMeanReproErr (InputArrayOfArrays imagePoints, InputArrayOfArrays proImagePoints)
double | computeMeanReproErr (InputArrayOfArrays objectPoints, InputArrayOfArrays imagePoints, InputArray K, InputArray D, double xi, InputArrayOfArrays omAll, InputArrayOfArrays tAll)
double | computeMeanReproErrStereo (InputArrayOfArrays objectPoints, InputArrayOfArrays imagePoints1, InputArrayOfArrays imagePoints2, InputArray K1, InputArray K2, InputArray D1, InputArray D2, double xi1, double xi2, InputArray om, InputArray T, InputArrayOfArrays omL, InputArrayOfArrays TL)
void | decodeParameters (InputArray paramsters, OutputArray K, OutputArrayOfArrays omAll, OutputArrayOfArrays tAll, OutputArray distoration, double &xi)
void | decodeParametersStereo (InputArray parameters, OutputArray K1, OutputArray K2, OutputArray om, OutputArray T, OutputArrayOfArrays omL, OutputArrayOfArrays tL, OutputArray D1, OutputArray D2, double &xi1, double &xi2)
void | encodeParameters (InputArray K, InputArrayOfArrays omAll, InputArrayOfArrays tAll, InputArray distoaration, double xi, OutputArray parameters)
void | encodeParametersStereo (InputArray K1, InputArray K2, InputArray om, InputArray T, InputArrayOfArrays omL, InputArrayOfArrays tL, InputArray D1, InputArray D2, double xi1, double xi2, OutputArray parameters)
void | estimateUncertainties (InputArrayOfArrays objectPoints, InputArrayOfArrays imagePoints, InputArray parameters, Mat &errors, Vec2d &std_error, double &rms, int flags)
void | estimateUncertaintiesStereo (InputArrayOfArrays objectPoints, InputArrayOfArrays imagePoints1, InputArrayOfArrays imagePoints2, InputArray parameters, Mat &errors, Vec2d &std_error, double &rms, int flags)
void | fillFixed (Mat &G, int flags, int n)
void | fillFixedStereo (Mat &G, int flags, int n)
double | findMedian (const Mat &row)
Vec3d | findMedian3 (InputArray mat)
void | flags2idx (int flags, std::vector< int > &idx, int n)
void | flags2idxStereo (int flags, std::vector< int > &idx, int n)
void | getInterset (InputArray idx1, InputArray idx2, OutputArray inter1, OutputArray inter2, OutputArray inter_ori)
void | initializeCalibration (InputArrayOfArrays objectPoints, InputArrayOfArrays imagePoints, Size size, OutputArrayOfArrays omAll, OutputArrayOfArrays tAll, OutputArray K, double &xi, OutputArray idx=noArray())
void | initializeStereoCalibration (InputArrayOfArrays objectPoints, InputArrayOfArrays imagePoints1, InputArrayOfArrays imagePoints2, const Size &size1, const Size &size2, OutputArray om, OutputArray T, OutputArrayOfArrays omL, OutputArrayOfArrays tL, OutputArray K1, OutputArray D1, OutputArray K2, OutputArray D2, double &xi1, double &xi2, int flags, OutputArray idx)
void | subMatrix (const Mat &src, Mat &dst, const std::vector< int > &cols, const std::vector< int > &rows)

## Function Documentation

## § compose_motion()

void cv::omnidir::internal::compose_motion | ( | InputArray | _om1,
|  | InputArray | _T1,
|  | InputArray | _om2,
|  | InputArray | _T2,
|  | Mat & | om3,
|  | Mat & | T3,
|  | Mat & | dom3dom1,
|  | Mat & | dom3dT1,
|  | Mat & | dom3dom2,
|  | Mat & | dom3dT2,
|  | Mat & | dT3dom1,
|  | Mat & | dT3dT1,
|  | Mat & | dT3dom2,
|  | Mat & | dT3dT2
| ) |  |

## § computeJacobian()

void cv::omnidir::internal::computeJacobian | ( | InputArrayOfArrays | objectPoints,
|  | InputArrayOfArrays | imagePoints,
|  | InputArray | parameters,
|  | Mat & | JTJ_inv,
|  | Mat & | JTE,
|  | int | flags,
|  | double | epsilon
| ) |  |

## § computeJacobianStereo()

void cv::omnidir::internal::computeJacobianStereo | ( | InputArrayOfArrays | objectPoints,
|  | InputArrayOfArrays | imagePoints1,
|  | InputArrayOfArrays | imagePoints2,
|  | InputArray | parameters,
|  | Mat & | JTJ_inv,
|  | Mat & | JTE,
|  | int | flags,
|  | double | epsilon
| ) |  |

## § computeMeanReproErr() [1/2]

double cv::omnidir::internal::computeMeanReproErr | ( | InputArrayOfArrays | imagePoints,
|  | InputArrayOfArrays | proImagePoints
| ) |  |

## § computeMeanReproErr() [2/2]

double cv::omnidir::internal::computeMeanReproErr | ( | InputArrayOfArrays | objectPoints,
|  | InputArrayOfArrays | imagePoints,
|  | InputArray | K,
|  | InputArray | D,
|  | double | xi,
|  | InputArrayOfArrays | omAll,
|  | InputArrayOfArrays | tAll
| ) |  |

## § computeMeanReproErrStereo()

double cv::omnidir::internal::computeMeanReproErrStereo | ( | InputArrayOfArrays | objectPoints,
|  | InputArrayOfArrays | imagePoints1,
|  | InputArrayOfArrays | imagePoints2,
|  | InputArray | K1,
|  | InputArray | K2,
|  | InputArray | D1,
|  | InputArray | D2,
|  | double | xi1,
|  | double | xi2,
|  | InputArray | om,
|  | InputArray | T,
|  | InputArrayOfArrays | omL,
|  | InputArrayOfArrays | TL
| ) |  |

## § decodeParameters()

void cv::omnidir::internal::decodeParameters | ( | InputArray | paramsters,
|  | OutputArray | K,
|  | OutputArrayOfArrays | omAll,
|  | OutputArrayOfArrays | tAll,
|  | OutputArray | distoration,
|  | double & | xi
| ) |  |

## § decodeParametersStereo()

void cv::omnidir::internal::decodeParametersStereo | ( | InputArray | parameters,
|  | OutputArray | K1,
|  | OutputArray | K2,
|  | OutputArray | om,
|  | OutputArray | T,
|  | OutputArrayOfArrays | omL,
|  | OutputArrayOfArrays | tL,
|  | OutputArray | D1,
|  | OutputArray | D2,
|  | double & | xi1,
|  | double & | xi2
| ) |  |

## § encodeParameters()

void cv::omnidir::internal::encodeParameters | ( | InputArray | K,
|  | InputArrayOfArrays | omAll,
|  | InputArrayOfArrays | tAll,
|  | InputArray | distoaration,
|  | double | xi,
|  | OutputArray | parameters
| ) |  |

## § encodeParametersStereo()

void cv::omnidir::internal::encodeParametersStereo | ( | InputArray | K1,
|  | InputArray | K2,
|  | InputArray | om,
|  | InputArray | T,
|  | InputArrayOfArrays | omL,
|  | InputArrayOfArrays | tL,
|  | InputArray | D1,
|  | InputArray | D2,
|  | double | xi1,
|  | double | xi2,
|  | OutputArray | parameters
| ) |  |

## § estimateUncertainties()

void cv::omnidir::internal::estimateUncertainties | ( | InputArrayOfArrays | objectPoints,
|  | InputArrayOfArrays | imagePoints,
|  | InputArray | parameters,
|  | Mat & | errors,
|  | Vec2d & | std_error,
|  | double & | rms,
|  | int | flags
| ) |  |

## § estimateUncertaintiesStereo()

void cv::omnidir::internal::estimateUncertaintiesStereo | ( | InputArrayOfArrays | objectPoints,
|  | InputArrayOfArrays | imagePoints1,
|  | InputArrayOfArrays | imagePoints2,
|  | InputArray | parameters,
|  | Mat & | errors,
|  | Vec2d & | std_error,
|  | double & | rms,
|  | int | flags
| ) |  |

## § fillFixed()

void cv::omnidir::internal::fillFixed | ( | Mat & | G,
|  | int | flags,
|  | int | n
| ) |  |

## § fillFixedStereo()

void cv::omnidir::internal::fillFixedStereo | ( | Mat & | G,
|  | int | flags,
|  | int | n
| ) |  |

## § findMedian()

double cv::omnidir::internal::findMedian | ( | const Mat & | row | ) |

## § findMedian3()

Vec3d cv::omnidir::internal::findMedian3 | ( | InputArray | mat | ) |

## § flags2idx()

void cv::omnidir::internal::flags2idx | ( | int | flags,
|  | std::vector< int > & | idx,
|  | int | n
| ) |  |

## § flags2idxStereo()

void cv::omnidir::internal::flags2idxStereo | ( | int | flags,
|  | std::vector< int > & | idx,
|  | int | n
| ) |  |

## § getInterset()

void cv::omnidir::internal::getInterset | ( | InputArray | idx1,
|  | InputArray | idx2,
|  | OutputArray | inter1,
|  | OutputArray | inter2,
|  | OutputArray | inter_ori
| ) |  |

## § initializeCalibration()

void cv::omnidir::internal::initializeCalibration | ( | InputArrayOfArrays | objectPoints,
|  | InputArrayOfArrays | imagePoints,
|  | Size | size,
|  | OutputArrayOfArrays | omAll,
|  | OutputArrayOfArrays | tAll,
|  | OutputArray | K,
|  | double & | xi,
|  | OutputArray | idx = `noArray()`
| ) |  |

## § initializeStereoCalibration()

void cv::omnidir::internal::initializeStereoCalibration | ( | InputArrayOfArrays | objectPoints,
|  | InputArrayOfArrays | imagePoints1,
|  | InputArrayOfArrays | imagePoints2,
|  | const Size & | size1,
|  | const Size & | size2,
|  | OutputArray | om,
|  | OutputArray | T,
|  | OutputArrayOfArrays | omL,
|  | OutputArrayOfArrays | tL,
|  | OutputArray | K1,
|  | OutputArray | D1,
|  | OutputArray | K2,
|  | OutputArray | D2,
|  | double & | xi1,
|  | double & | xi2,
|  | int | flags,
|  | OutputArray | idx
| ) |  |

## § subMatrix()

void cv::omnidir::internal::subMatrix | ( | const Mat & | src,
|  | Mat & | dst,
|  | const std::vector< int > & | cols,
|  | const std::vector< int > & | rows
| ) |  |